Create Reporting Period Configuration - MindBridge Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Create Reporting Period Configuration
Request Method
POST
Endpoint
/v1/reporting-period-config
cURL Example
curl --request POST \
--url https://{tenant}.mindbridge.ai/api/v1/reporting-period-config \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"monthlyReportingPeriods": [
{
"periodNumber": 123,
"quarterNumber": 123,
"yearLabel": "<string>",
"startDate": "2023-12-25",
"endDate": "2023-12-25"
}
],
"weeklyReportingPeriods": [
{
"weekNumber": 123,
"yearLabel": "<string>",
"startDate": "2023-12-25",
"endDate": "2023-12-25"
}
]
}
'```
#### Python Example
```python
import requests
url = "https://{tenant}.mindbridge.ai/api/v1/reporting-period-config"
payload = {
"monthlyReportingPeriods": [
{
"periodNumber": 123,
"quarterNumber": 123,
"yearLabel": "<string>",
"startDate": "2023-12-25",
"endDate": "2023-12-25"
}
],
"weeklyReportingPeriods": [
{
"weekNumber": 123,
"yearLabel": "<string>",
"startDate": "2023-12-25",
"endDate": "2023-12-25"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JSON Response Example
{
"id": "<string>",
"version": 123,
"creationDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"createdUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"lastModifiedUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"monthlyReportingPeriods": [
{
"periodNumber": 123,
"quarterNumber": 123,
"yearLabel": "<string>",
"startDate": "2023-12-25",
"endDate": "2023-12-25"
}
],
"weeklyReportingPeriods": [
{
"weekNumber": 123,
"yearLabel": "<string>",
"startDate": "2023-12-25",
"endDate": "2023-12-25"
}
]
}
Authorizations
Authorization
- header
- required
- Bearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Body
application/json
monthlyReportingPeriods: Monthly Reporting Period (required)weeklyReportingPeriods: Weekly Reporting Period (required)
Response
- 201 - application/json
- Created
- Attributes include:
id: stringversion: integercreationDate: stringlastModifiedDate: stringcreatedUserInfo: User Info objectlastModifiedUserInfo: User Info objectmonthlyReportingPeriods: List of monthly reporting periodsweeklyReportingPeriods: List of weekly reporting periods